import { line, curveNatural, lineRadial, curveLinearClosed } from 'd3';
export const Marks = ({
  data,
//  xScale,
//  yScale,
  angleScale,
  radiusScale_dep,
  radiusScale_arr,
  xValue,
  yValue_dep,
  yValue_arr,
  tooltipFormat,
  circleRadius
}) => {

  return <g className="marks">
  <path className="dep_delay"
    d={lineRadial()
       .angle(d => angleScale(xValue(d)))
       .radius(d => radiusScale_dep(yValue_dep(d)))
       .curve(curveLinearClosed)(data)}
  />
    
  <path className="arr_delay"
    d={lineRadial()
       .angle(d => angleScale(xValue(d)))
       .radius(d => radiusScale_arr(yValue_arr(d)))
       .curve(curveLinearClosed)(data)}
  />
    
    
 {
    // data.map(d => (
    //   <circle
    //     cx={xValue(xValue(d))}
    //     cy={yValue(yValue(d))}
    //     r={circleRadius}
    //   >
    //     <title>{tooltipFormat(xValue(d))}</title>
    //   </circle>
    // ))
 }
</g>
};

